<!--Addenda Pilgrims Pride:: por DHT.-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:element name="Pilgrims">
			<xsl:element name="Proveedor">
				<xsl:value-of select="Datos/Emisor/@noProveedor"/>
			</xsl:element>
			<xsl:if test="Datos/Receptor/@Contacto !=''">
				<xsl:element name="Comprador">
					<xsl:value-of select="substring(Datos/Receptor/@Contacto,1,35)"/>
				</xsl:element>
			</xsl:if>
			<xsl:variable name="proceso" select="substring(Datos/Receptor/Domicilio/@noLclGlobal,1,2)"/>
			<xsl:element name="Proceso">
				<xsl:value-of select="$proceso"/>
			</xsl:element>
			<xsl:for-each select="Datos/Documento/Partidas/Partida">
				<xsl:element name="Partida">
					<xsl:attribute name="Pedido">
						<xsl:choose>
							<xsl:when test="./XMLAddenda/Partida/@OrdenCompraPartida='general'">
								<xsl:value-of select="/Datos/Documento/OrdenesCompra/OrdenCompra/@No"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="./XMLAddenda/Partida/@OrdenCompraPartida"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="Posicion">
						<xsl:value-of select="./XMLAddenda/Partida/@Posicion"/>
					</xsl:attribute>
					<xsl:if test="@CodigoCliente !=''">
						<xsl:element name="Material">
							<xsl:value-of select="@CodigoCliente"/>
						</xsl:element>
					</xsl:if>
					<xsl:element name="Cantidad">
						<xsl:value-of select="format-number(@Cantidad,'0.000')"/>
					</xsl:element>
					<xsl:element name="Precio">
						<xsl:value-of select="format-number(@PrecioBruto,'0.00')"/>
					</xsl:element>
					<xsl:if test="./XMLAddenda/Partida/@NumeroEntrada !=''">
						<xsl:choose>
							<xsl:when test="./XMLAddenda/Partida/@NumeroEntrada = 'general'">
								<xsl:if test="/Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio !=''">
									<xsl:element name="Entrada">
										<xsl:value-of select="/Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio"/>
									</xsl:element>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<xsl:element name="Entrada">
									<xsl:value-of select="./XMLAddenda/Partida/@NumeroEntrada"/>
								</xsl:element>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<xsl:element name="Referencia">
						<xsl:choose>
							<xsl:when test="$proceso = '01'">
								<xsl:value-of select="concat(/Datos/CFD/@Serie,/Datos/CFD/@Folio)"/>
							</xsl:when>
							<xsl:when test="$proceso = '04'">
								<xsl:value-of select="./XMLAddenda/Partida/@ClaveReferencia"/>
							</xsl:when>
							<xsl:when test="$proceso = '05'">
								<xsl:value-of select="concat(/Datos/CFD/@Serie,/Datos/CFD/@Folio)"/>
							</xsl:when>
							<xsl:when test="$proceso = '07'">
								<xsl:value-of select="concat(/Datos/CFD/@Serie,/Datos/CFD/@Folio)"/>
							</xsl:when>
							<xsl:when test="$proceso = '09'">
								<xsl:value-of select="./XMLAddenda/Partida/@ClaveReferencia"/>
							</xsl:when>
						</xsl:choose>
					</xsl:element>
					<xsl:if test="./XMLAddenda/Partida/@Pedimento !=''">
						<xsl:element name="Pedimento">
							<xsl:value-of select="./XMLAddenda/Partida/@Pedimento"/>
						</xsl:element>
					</xsl:if>
					<xsl:if test="./XMLAddenda/Partida/@FacturaPedimento !=''">
						<xsl:element name="FacturaPedimento">
							<xsl:value-of select="./XMLAddenda/Partida/@FacturaPedimento"/>
						</xsl:element>
					</xsl:if>
					<xsl:variable name="numBoletas" select="count(./XMLAddenda/Partida/Boletas[@NumeroBoleta !=''])"/>
					<xsl:if test="$numBoletas &gt; 0">
						<xsl:element name="Boletas">
							<xsl:for-each select="./XMLAddenda/Partida/Boletas">
								<xsl:element name="Boleta">
									<xsl:value-of select="@NumeroBoleta"/>
								</xsl:element>
							</xsl:for-each>
						</xsl:element>
					</xsl:if>
				</xsl:element>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>